#!/bin/sh

# get the command line args
iter=$1
flag=$2

if [ "$#" -eq 3 ]; then
flg2=$3
fi

pbsdir=/data/sep/myfusan/BP2007_covan/PBS/
bindir=/data/sep/myfusan/BP2007_covan/Bin/
pardir=/data/sep/myfusan/BP2007_covan/Par/
datdir=/data/sep/myfusan/BP2007_covan/Shots/
inpdir=/data/sep/myfusan/BP2007_covan/Input/
imgdir=/data/sep/myfusan/BP2007_covan/Img/
moddir=/data/sep/myfusan/BP2007_covan/Mod/
objdir=/data/sep/myfusan/BP2007_covan/Fobj/

if [ "$#" -eq 2 ]; then
  bimgname=${imgdir}/bimg_${flag}_${iter}.H
  dimgname=${imgdir}/dimg_${flag}_${iter}.H
  fobjname=${objdir}/fobj_${flag}_${iter}.H
else if [ "$#" -eq 3 ]; then
  bimgname=${imgdir}/bimg_${flg2}_${flag}_${iter}.H
  dimgname=${imgdir}/dimg_${flg2}_${flag}_${iter}.H
  fobjname=${objdir}/fobj_${flg2}_${flag}_${iter}.H
fi
fi
Cp ${bimgname} ${dimgname} 
${bindir}/residual-mpi.x bimg=${dimgname} fobj=${fobjname} objtyp="combos" dsorms=1 hcut=50 dsotyp=2 objeps=0.5
