#!/bin/sh

pbsdir=/data/sep/myfusan/BP2007_covan/PBS/
bindir=/data/sep/myfusan/BP2007_covan/Bin/
pardir=/data/sep/myfusan/BP2007_covan/Par/
datdir=/data/sep/myfusan/BP2007_covan/Shots/
inpdir=/data/sep/myfusan/BP2007_covan/Input/
imgdir=/data/sep/myfusan/BP2007_covan/Img/
moddir=/data/sep/myfusan/BP2007_covan/Mod/
grddir=/data/sep/myfusan/BP2007_covan/Grd/
scrdir=/data/sep/myfusan/BP2007_covan/Scripts/
objdir=/data/sep/myfusan/BP2007_covan/Fobj/

srchflag=$1
srchnmbr=$2
invrflag=$3
invrnmbr=$4

nvelname=${moddir}/vp.${invrflag}_${invrnmbr}.H
nepsname=${moddir}/eps.${invrflag}_${invrnmbr}.H
ndelname=${moddir}/del.${invrflag}_${invrnmbr}.H
nobjname=${objdir}/fobj_${invrflag}_${invrnmbr}.H
nbmgname=${imgdir}/bimg_${invrflag}_${invrnmbr}.H
ndmgname=${imgdir}/dimg_${invrflag}_${invrnmbr}.H

bvelname=${moddir}/vp.${invrflag}_${srchflag}_${srchnmbr}.H
bepsname=${moddir}/eps.${invrflag}_${srchflag}_${srchnmbr}.H
bdelname=${moddir}/del.${invrflag}_${srchflag}_${srchnmbr}.H
bobjname=${objdir}/fobj_${invrflag}_${srchflag}_${srchnmbr}.H
bbmgname=${imgdir}/bimg_${invrflag}_${srchflag}_${srchnmbr}.H
bdmgname=${imgdir}/dimg_${invrflag}_${srchflag}_${srchnmbr}.H

Cp ${bvelname} ${nvelname}
Cp ${bepsname} ${nepsname}
Cp ${bdelname} ${ndelname}
Cp ${bobjname} ${nobjname}
Cp ${bbmgname} ${nbmgname}
Cp ${bdmgname} ${ndmgname}


f0=`Disfil number=n format='%13.8g' < ${nobjname}`
echo ${f0} >> objall_${invrflag}
