program main
  use sep
  use base_ioutil_mod
  implicit none


  type(axis) :: ahx, ahy, ax, ay, az, asx, asy
  integer    :: isx
  character(len=4) :: bimg_, dimg_

  real, dimension(:,:,:), allocatable :: bimg, dimg
  real, dimension(:,:)  , allocatable :: stck

  bimg_ = "bimg"
  dimg_ = "dimg"

  call sep_init(SOURCE)
  call getch_add_string("head=/dev/null")
  call getch_add_string("noheader=y")
  call set_no_putch()
  call sep_begin_prog()


  call hinaxis(bimg_, ahx, 1)
  call hinaxis(bimg_, ahy, 2)
  call hinaxis(bimg_, ax , 3)
  call hinaxis(bimg_, ay , 4)
  call hinaxis(bimg_, az , 5)
  call hinaxis(bimg_, asx, 6)
  call hinaxis(bimg_, asy, 7)


  allocate(bimg(ax%n,az%n,asx%n))
  allocate(dimg(ax%n,az%n,asx%n))
  allocate(stck(ax%n,az%n))

  call sep_read(bimg, bimg_)

  stck = sum(bimg, 3)

  do isx=1, asx%n
     dimg(:,:,isx) = stck 
  end do

  call houaxis(dimg_, ahx, 1)
  call houaxis(dimg_, ahy, 2)
  call houaxis(dimg_, ax , 3)
  call houaxis(dimg_, ay , 4)
  call houaxis(dimg_, az , 5)
  call houaxis(dimg_, asx, 6)
  call houaxis(dimg_, asy, 7)

  call sep_write(dimg, dimg_)


end program
