/* generate coeficients table for implicit method by weighted least sqaure
   pade approximate for VTI media or TTI media
*/
#include <math.h>
#include <sgjbase.h>
#include <sgjmig.h>

void implicitleftmatrixisovti1(float **leftmatrix, __complex__ float * kz,int mkx,float dkx,float w_vp);
void kzvti1(__complex__ float *kz,float dkx,float w_vp,float et,float dl,int mkx,int *m);
void kzvti1_old(__complex__ float *kz,float dkx,float w_vp,float ep,float dl,int mkx,int *m);
void kziso1(__complex__ float *kz,float dkx,float w_vp,int m);
void qrsolver1(float **leftmatrix,__complex__ float *kz,__complex__ float *conap,int m,int n);
void implicittable_grab_par1(float *min_et,float *max_et,float *d_et,float *min_dl,float *max_dl,float *d_dl);
int main(int argc, char **argv)
{
  filehead imtable;
  filehead kzfile;
  int mkx,stat,n_dl,n_et;
  float dx,f,w_vp,dkx;
  float rotate,kx;
  float **leftmatrix,*q,*qc,*rc,*tmpd;
  
  __complex__ float *kz,*conap,*kzab,*kzabold,*err,*errold; 
  int n=2;
  int m;
  int sing;
  int im,in,i_et,i_dl;
  float et,dl,kz2vti,ep;
  float min_et,max_et,d_et,min_dl,max_dl,d_dl;
  float o_et,o_dl,a,b,aold,bold;
  int ikx;
  initpar(argc,argv);

  mkx=900; 
  m=70;
  dx=10.0;
  w_vp=100.0/2000.0;
  dkx=2.0*3.1415926/( (float)(mkx)*dx);
  if (0==getch("et","f",&et))    et=0.09;
  if (0==getch("dl","f",&dl))    dl=0.02;
  
  kzfile.ndims=2;
  kzfile.n[0]=mkx;
  kzfile.n[1]=5; 
  kzfile.o[0]=0.0; kzfile.d[0]=1.0;
  kzfile.o[1]=0.0; kzfile.d[1]=1.0;
  stat=file_open_output_c("Kz",kzfile);

  kz=allocatec(mkx); 
  kzab=allocatec(mkx);
  kzabold=allocatec(mkx);
  err=allocatec(mkx);
  errold=allocatec(mkx);
  conap=allocatec(n);

  ep = dl + (1+2*dl)*et; 		

//  kzvti1(kz,dkx,w_vp,et,dl,mkx,&m);
  kzvti1(kz,dkx,w_vp,et,dl,mkx,&m);
  leftmatrix=allocate_f2(m,n); 
  implicitleftmatrixisovti1(leftmatrix, kz,m,dkx,w_vp);
  qrsolver1(leftmatrix,kz,conap,m,n);
  b=fabs(__real__ conap[0]); a=fabs(__real__ conap[1]);
  aold=0.5*(1.0+2.0*dl); bold=2.0*(ep-dl)/(1.0+2.0*dl)+0.25*(1.0+2.0*dl);
  printf("a=%f,b=%f,aold=%f,bold=%f,et=%f,ep=%f,dl=%f\n",a,b,aold,bold,et,ep,dl);
  free_f2(leftmatrix); 
  kzvti1(kz,dkx,w_vp,et,dl,mkx,&m);
//
//  kzvti1(kz,dkx,w_vp,et,dl,mkx,&m);
//  leftmatrix=allocate_f2(m,n); 
//  implicitleftmatrixisovti1(leftmatrix, kz,m,dkx,w_vp);
//  qrsolver1(leftmatrix,kz,conap,m,n);
//  printf("a=%f,b=%f,aold=%f,bold=%f,et=%f,ep=%f,dl=%f\n",a,b,aold,bold,et,ep,dl);
//  free_f2(leftmatrix); 
  for(ikx=0;ikx<mkx;ikx++){
    kx=ikx*dkx/w_vp;
    __imag__ kz[ikx]=w_vp*(__real__ kz[ikx]+1.0);
    __real__ kz[ikx]=kx*w_vp; //sin((atan(kx*w_vp/__imag__ kz[ikx])));
    __imag__ kzab[ikx]=w_vp-w_vp*a*kx*kx/(1.0-b*kx*kx);
    __real__ kzab[ikx]=__real__ kz[ikx];
    __imag__ kzabold[ikx]=w_vp-w_vp*aold*kx*kx/(1.0-bold*kx*kx);
    __real__ kzabold[ikx]=__real__ kz[ikx];
    __imag__ err[ikx]= (__imag__ kzab[ikx]-__imag__ kz[ikx])/__imag__ kz[ikx];
    __imag__ errold[ikx]= (__imag__ kzabold[ikx]-__imag__ kz[ikx])/__imag__ kz[ikx];
    __real__ err[ikx]=atan(kx*w_vp/__imag__ kz[ikx])/3.1415926*180;
    __real__ errold[ikx]=__real__ err[ikx];
  }

  

  if (srite("Kz",kz,8*mkx)!=8*mkx) seperr("err write kz");
  if (srite("Kz",kzabold,8*mkx)!=8*mkx) seperr("err kzold");
  if (srite("Kz",kzab,8*mkx)!=8*mkx) seperr("err kznew");
  if (srite("Kz",errold,8*mkx)!=8*mkx) seperr("err kznew");
  if (srite("Kz",err,8*mkx)!=8*mkx) seperr("err kznew");
  free(conap); free(kz); free(kzab); free(kzabold); free(err); free(errold);
  return 0;

 
}

void qrsolver1(float **leftmatrix,__complex__ float *kz,__complex__ float *conap,int m,int n)
{
  float *q,*qc,*rc,*tmpd;
  int sing;
  int im,in; 
  q=allocatef(m*m); qc=allocatef(m*n); rc=allocatef(n*n); tmpd=allocatef(n);
  
  qrdcmp(*leftmatrix,m,n,tmpd,sing);
  qrdpost(*leftmatrix,m,n,tmpd,q,rc);
  for(im=0;im<m;im++)
   for(in=0;in<n;in++)
     qc[i2(im,in,n)]=q[i2(im,in,m)];
  for (im=0;im<m;im++) kz[im]=kz[im]*(-1);
  qrcon(qc,rc,kz,conap,m,n);
}

void kzvti1(__complex__ float *kz,float dkx,float w_vp,float et,float dl,int mkx,int *m){
  int im;
  float kx,kz2vti;
  int firstm;
  float kz1;
  firstm=1;
  for (im=0;im<mkx;im++){
    kx=im*dkx;
    kx=kx/w_vp;
    kz2vti=(1-kx*kx*(1+2*dl)*(1+2*et))/(1-kx*kx*2.0*et*(1+2*dl));
    if(kz2vti>=0){
       kz1=sqrt(kz2vti);
       kz[im]=sqrt(kz2vti)-1.0;
    }
    else{ kz[im]=-1.0;}
    if ( kx/kz1>=tan(67.0/180.0*3.1415926)) 
      { if (firstm) *m=im-1; firstm=0;}
  }
}


void kzvti1_old(__complex__ float *kz,float dkx,float w_vp,float ep,float dl,int mkx,int *m){
  int im;
  float kx,kz2vti;
  int firstm;
  float kz1;
  firstm=1;
  for (im=0;im<mkx;im++){
    kx=im*dkx;
    kx=kx/w_vp;
    kz2vti=(1-kx*kx*(1+2*ep))/(1-kx*kx*2.0*(ep-dl));
    if(kz2vti>=0){
       kz1=sqrt(kz2vti);
       kz[im]=sqrt(kz2vti)-1.0;
    }
    else{ kz[im]=-1.0;}
    if ( kx/kz1>=tan(67.0/180.0*3.1415926)) 
      { if (firstm) *m=im-1; firstm=0;}
  }
}

void kziso1(__complex__ float *kz,float dkx,float w_vp,int m){
  int im;
  float kx;
  for (im=0;im<m;im++){
    kx=im*dkx;
    kx=kx/w_vp;
    if (kx<=1)  kz[im]=sqrt(1.0-kx*kx)-1.0;
    else kz[im]=-1.0;
  }
}

 

void implicitleftmatrix1(float **leftmatrix, __complex__ float * kz,int mkx,float dkx,float w_vp)
{
  int ikx;
  float kx;
  for (ikx=-mkx;ikx<=mkx;ikx++){
   kx=dkx*ikx/w_vp;
   leftmatrix[ikx+mkx][0]=kz[ikx+mkx]*kx*kx;
   leftmatrix[ikx+mkx][1]=kz[ikx+mkx]*kx;
   leftmatrix[ikx+mkx][2]=-kx*kx;
   leftmatrix[ikx+mkx][3]=-kx;
   leftmatrix[ikx+mkx][4]=1.0;
  }
}

void implicitleftmatrixisovti1(float **leftmatrix, __complex__ float * kz,int m,float dkx,float w_vp)
{
  int ikx;
  float kx;
  for (ikx=0;ikx<m;ikx++){
   kx=dkx*ikx/w_vp;
   leftmatrix[ikx][0]=kz[ikx]*kx*kx;
   leftmatrix[ikx][1]=-kx*kx;
  }
}


void implicittable_grab_par1(float *min_ep,float *max_ep,float *d_ep,float *min_dl,float *max_dl,float *d_dl)
{
   if (0==getch("min_ep","f",min_ep))    *min_ep=0.0;
   if (0==getch("max_ep","f",max_ep))    *max_ep=0.2;
   if (0==getch("min_dl","f",min_dl))    *min_dl=0.0;
   if (0==getch("max_dl","f",max_dl))    *max_dl=0.2;
   if (0==getch("d_ep",  "f",  d_ep))    *d_ep=0.002;
   if (0==getch("d_dl",  "f",  d_dl))    *d_dl=0.002;
   

}
