/* generate coeficients table for implicit method by weighted least sqaure
   pade approximate for VTI media or TTI media
*/

#include <sgjbase.h>
#include <sgjmig.h>

void implicitleftmatrixisovti1(float **leftmatrix, __complex__ float * kz,int mkx,float dkx,float w_vp);
void kzvti1(__complex__ float *kz,float dkx,float w_vp,float et,float dl,int mkx,int *m);
void kziso1(__complex__ float *kz,float dkx,float w_vp,int m);
void qrsolver1(float **leftmatrix,__complex__ float *kz,__complex__ float *conap,int m,int n);
void implicittable_grab_par1(float *min_et,float *max_et,float *d_et,float *min_dl,float *max_dl,float *d_dl);
int main(int argc, char **argv)
{
  filehead imtable;
  int mkx,stat,n_dl,n_et;
  float dx,f,w_vp,dkx;
  float rotate,kx;
  float **leftmatrix,*q,*qc,*rc,*tmpd;
  __complex__ float *kz,*conap; 
  int n=2;
  int m;
  int sing;
  int im,in,i_et,i_dl;
  float ep,et,dl,kz2vti;
  float min_et,max_et,d_et,min_dl,max_dl,d_dl;
  float o_et,o_dl;
  float ***fdcoe;
  initpar(argc,argv);

  implicittable_grab_par1(&min_et,&max_et,&d_et,&min_dl,&max_dl,&d_dl);
 
  mkx=300; 
  m=70;
  dx=25.0;
  w_vp=100.0/2000.0;
  et=0.4; 
  dl=0.2;
  dkx=2.0*3.1415926/( (float)(mkx)*dx);

  kz=allocatec(mkx); 
  conap=allocatec(n);

  o_et=min_et; n_et=(max_et-min_et)/d_et+2;
  o_dl=min_dl; n_dl=(max_dl-min_dl)/d_dl+2; 
  fdcoe=allocate_f3(n_et,n_dl,2);
  imtable.ndims=3;
  imtable.o[0]=0.0; imtable.d[0]=1;   imtable.n[0]=2;
  imtable.o[1]=o_dl;imtable.d[1]=d_dl;imtable.n[1]=n_dl;
  imtable.o[2]=o_et;imtable.d[2]=d_et;imtable.n[2]=n_et;

  for (i_et=0;i_et<n_et;i_et++){ 
    et=i_et*d_et+o_et;
    for(i_dl=0;i_dl<n_dl;i_dl++){
      dl=i_dl*d_dl+o_dl;
      kzvti1(kz,dkx,w_vp,et,dl,mkx,&m);
      //printf("m=%d\n",m);
      leftmatrix=allocate_f2(m,n); 
      implicitleftmatrixisovti1(leftmatrix, kz,m,dkx,w_vp);
      qrsolver1(leftmatrix,kz,conap,m,n);
      fdcoe[i_et][i_dl][0]=- __real__ conap[0];
      fdcoe[i_et][i_dl][1]=- __real__ conap[1];
      //printf("b=%f,a=%f,ep=%f,dl=%f\n",__real__ conap[0],__real__ conap[1],ep,dl);
      free_f2(leftmatrix); 
    }
  }
 
  stat=file_open_output("Implicittable",imtable);
  if ( srite("Implicittable",**fdcoe,4*2*n_dl*n_et)!= 4*2*n_dl*n_et) seperr("err write table\n");
 
  free(conap); free(kz); free_f3(fdcoe);


  /*
  for (ikx=-mkx;ikx<=mkx;ikx++){
    kx=dkx*mkx;
    kz_c[ikx+mkx]=kzani(rotate,ep,dl,w_vp,f,kx);
    kz[ikx+mkx]=__real__ kz_c[ikx+mkx]/w_vp-1.0;
  }
  */
  return 0;
 
}

void qrsolver1(float **leftmatrix,__complex__ float *kz,__complex__ float *conap,int m,int n)
{
  float *q,*qc,*rc,*tmpd;
  int sing;
  int im,in; 
  q=allocatef(m*m); qc=allocatef(m*n); rc=allocatef(n*n); tmpd=allocatef(n);
  
  qrdcmp(*leftmatrix,m,n,tmpd,sing);
  qrdpost(*leftmatrix,m,n,tmpd,q,rc);
  for(im=0;im<m;im++)
   for(in=0;in<n;in++)
     qc[i2(im,in,n)]=q[i2(im,in,m)];
  for (im=0;im<m;im++) kz[im]=kz[im]*(-1);
  qrcon(qc,rc,kz,conap,m,n);
  free(q); free(qc); free(rc); free(tmpd);
}

void kzvti1(__complex__ float *kz,float dkx,float w_vp,float et,float dl,int mkx,int *m){
  int im;
  float kx,kz2vti;
  int firstm;
  float kz1;
  firstm=1;
  for (im=0;im<mkx;im++){
    kx=im*dkx;
    kx=kx/w_vp;
    kz2vti=(1-kx*kx*(1+2*dl)*(1+2*et))/(1-kx*kx*2.0*et*(1+2*dl));
    if(kz2vti>=0){
       kz1=sqrt(kz2vti);
       kz[im]=sqrt(kz2vti)-1.0;
    }
    else{ kz[im]=-1.0;}
    if ( kx/kz1>=tan(67.0/180.0*3.1415926)) 
      { if (firstm) *m=im-1; firstm=0;}
  }
}

void kziso1(__complex__ float *kz,float dkx,float w_vp,int m){
  int im;
  float kx;
  for (im=0;im<m;im++){
    kx=im*dkx;
    kx=kx/w_vp;
    if (kx<=1)  kz[im]=sqrt(1.0-kx*kx)-1.0;
    else kz[im]=-1.0;
  }
}

 

void implicitleftmatrix(float **leftmatrix, __complex__ float * kz,int mkx,float dkx,float w_vp)
{
  int ikx;
  float kx;
  for (ikx=-mkx;ikx<=mkx;ikx++){
   kx=dkx*ikx/w_vp;
   leftmatrix[ikx+mkx][0]=kz[ikx+mkx]*kx*kx;
   leftmatrix[ikx+mkx][1]=kz[ikx+mkx]*kx;
   leftmatrix[ikx+mkx][2]=-kx*kx;
   leftmatrix[ikx+mkx][3]=-kx;
   leftmatrix[ikx+mkx][4]=1.0;
  }
}

void implicitleftmatrixisovti1(float **leftmatrix, __complex__ float * kz,int m,float dkx,float w_vp)
{
  int ikx;
  float kx;
  for (ikx=0;ikx<m;ikx++){
   kx=dkx*ikx/w_vp;
   leftmatrix[ikx][0]=kz[ikx]*kx*kx;
   leftmatrix[ikx][1]=-kx*kx;
  }
}


void implicittable_grab_par1(float *min_et,float *max_et,float *d_et,float *min_dl,float *max_dl,float *d_dl)
{
   if (0==getch("min_et","f",min_et))    *min_et=0.0;
   if (0==getch("max_et","f",max_et))    *max_et=0.2;
   if (0==getch("min_dl","f",min_dl))    *min_dl=0.0;
   if (0==getch("max_dl","f",max_dl))    *max_dl=0.2;
   if (0==getch("d_et",  "f",  d_et))    *d_et=0.002;
   if (0==getch("d_dl",  "f",  d_dl))    *d_dl=0.002;
   

}
