program main 

  use sep

  implicit none

  integer                                :: n1, n2, n3
  real                                   :: o1, o2, o3, d1, d2, d3
  integer                                :: i1, i2, i3 
  real,allocatable                       :: stdv(:,:,:), cov(:,:,:)

  call initpar()
  call from_history("n1", n1)   ! z
  call from_history("n2", n2)   ! x
  call from_history("n3", n3)
  call from_history("o1", o1)
  call from_history("o2", o2)
  call from_history("o3", o3)
  call from_history("d1", d1)
  call from_history("d2", d2)
  call from_history("d3", d3)

  allocate(cov(n1,n2,n3), stdv(n1,n2,n3))
  call sep_read(cov)

  do i3=1,n3
      do i2 = 1, n2
          do i1 = 1, n1
              stdv(i1,i2,i3) = sign(sqrt(abs(cov(i1,i2,i3))),cov(i1,i2,i3))
          end do
      end do
  end do

  call sep_write(stdv)

  call to_history("n1", n1)
  call to_history("n2", n2)
  call to_history("n3", n3)
  call to_history("d1", d1)
  call to_history("d2", d2)
  call to_history("d3", d3)
  call to_history("o1", o1)
  call to_history("o2", o2)
  call to_history("o3", o3)
  call to_history("esize", 4)

  deallocate(cov, stdv)
end program  
