module bwi_lapc3d_mod
  implicit none
contains


  integer function bwi_lapc3d_oper(adj, add, modl, data, nx, ny, nz) result(stat)
    logical                :: adj, add
    real, dimension(:,:,:) :: modl, data

    integer                :: ix, iy, iz, nx, ny, nz

    if (.not.add) then
       if (adj) then
          modl = 0.
       else
          data = 0.
       end if
    end if

    if (adj) then
       do iz=2, nz-1
       do ix=2, nx-1
          modl(ix-1,1,iz) = modl(ix-1,1,iz) +   data(ix,1,iz)
          modl(ix+1,1,iz) = modl(ix+1,1,iz) +   data(ix,1,iz)
          modl(ix,1,iz-1) = modl(ix,1,iz-1) +   data(ix,1,iz)
          modl(ix,1,iz+1) = modl(ix,1,iz+1) +   data(ix,1,iz)
          modl(ix,1,iz  ) = modl(ix,1,iz  ) - 4*data(ix,1,iz)
       end do
       end do

!       modl(2   ,1,2   ) = modl(2   ,1,2   ) + data(1 ,1,1 )
!       modl(1   ,1,1   ) = modl(1   ,1,1   ) - data(1 ,1,1 )
!       modl(2   ,1,nz-1) = modl(2   ,1,nz-1) + data(1 ,1,nz)
!       modl(1   ,1,nz  ) = modl(1   ,1,nz  ) - data(1 ,1,nz)
!       modl(nx-1,1,2   ) = modl(nx-1,1,2   ) + data(nx,1,1 )
!       modl(nx  ,1,1   ) = modl(nx  ,1,1   ) - data(nx,1,1 )
!       modl(nx-1,1,nz-1) = modl(nx-1,1,nz-1) + data(nx,1,nz)
!       modl(nx  ,1,nz  ) = modl(nx  ,1,nz  ) - data(nx,1,nz)
!
!       do ix=2, nx-1
!          modl(ix,1,2) = modl(ix,1,2) + data(ix,1,1)
!          modl(ix,1,1) = modl(ix,1,1) - data(ix,1,1)
!       end do
!       do iz=2, nz-1
!          modl(2,1,iz) = modl(2,1,iz) + data(1,1,iz)
!          modl(1,1,iz) = modl(1,1,iz) - data(1,1,iz)
!       end do 

    else

       do iz=2, nz-1
       do ix=2, nx-1
          data(ix,1,iz) = data(ix,1,iz) + modl(ix-1,1,iz) + modl(ix+1,1,iz)  &
                                        + modl(ix,1,iz-1) + modl(ix,1,iz+1)  &
                                        - 4*modl(ix,1,iz)
       end do
       end do

!       data(1 ,1,1 ) = data(1 ,1,1 ) + modl(2   ,1,2   ) - modl(1 ,1,1 )
!       data(1 ,1,nz) = data(1 ,1,nz) + modl(2   ,1,nz-1) - modl(1 ,1,nz)
!       data(nx,1,1 ) = data(nx,1,1 ) + modl(nx-1,1,2   ) - modl(nx,1,1 )
!       data(nx,1,nz) = data(nx,1,nz) + modl(nx-1,1,nz-1) - modl(nx,1,nz)
!
!       do ix=2, nx-1
!          data(ix,1,1) = data(ix,1,1) + modl(ix-1,1,1) + modl(ix+1,1,1) + modl(ix,1,2) - 3*modl(ix,1,1)
!       end do
!       do iz=2, nz-1
!          data(1,1,iz) = data(1,1,iz) + modl(2,1,iz) - modl(1,1,iz)
!       end do
    end if
    stat = 0
  end function

end module
