module bwi_report_mod
  use  base_struct_mod
  implicit none

contains

  subroutine bwi_report(dgrid, vgrid, pgrid, ogrid, igrid, ish)
    type(dat_grid) :: dgrid
    type(vel_grid) :: vgrid
    type(pro_grid) :: pgrid
    type(out_grid) :: ogrid
    type(img_grid) :: igrid
    integer        :: ish

    write(0,*)"=========================================================="
    write(0,*)"ish      =", ish, pgrid%sx, pgrid%sy, dgrid%nshg
    write(0,*)"----------------------------------------------------------"
    write(0,*)"agx      =", dgrid%agx%n,dgrid%agx%o,dgrid%agx%d
    write(0,*)"agy      =", dgrid%agy%n,dgrid%agy%o,dgrid%agy%d
    write(0,*)"xmin, xmax =", dgrid%agx%o, dgrid%agx%o+(dgrid%agx%n-1)*dgrid%agx%d
    write(0,*)"ymin, ymax =", dgrid%agy%o, dgrid%agy%o+(dgrid%agy%n-1)*dgrid%agy%d
    write(0,*)"----------------------------------------------------------"
    write(0,*)"vgrid%ax =", vgrid%ax%n,vgrid%ax%o,vgrid%ax%d
    write(0,*)"vgrid%ay =", vgrid%ay%n,vgrid%ay%o,vgrid%ay%d
    write(0,*)"vgrid%az =", vgrid%az%n,vgrid%az%o,vgrid%az%d
    write(0,*)"xmin, xmax =", vgrid%ax%o, vgrid%ax%o+(vgrid%ax%n-1)*vgrid%ax%d
    write(0,*)"ymin, ymax =", vgrid%ay%o, vgrid%ay%o+(vgrid%ay%n-1)*vgrid%ay%d
    write(0,*)"zmin, zmax =", vgrid%az%o, vgrid%az%o+(vgrid%az%n-1)*vgrid%az%d
    write(0,*)"----------------------------------------------------------"
    write(0,*)"pgrid%ax =", pgrid%ax%n,pgrid%ax%o,pgrid%ax%d
    write(0,*)"pgrid%ay =", pgrid%ay%n,pgrid%ay%o,pgrid%ay%d
    write(0,*)"pgrid%az =", pgrid%az%n,pgrid%az%o,pgrid%az%d
    write(0,*)"xmin, xmax =", pgrid%ax%o, pgrid%ax%o+(pgrid%ax%n-1)*pgrid%ax%d
    write(0,*)"ymin, ymax =", pgrid%ay%o, pgrid%ay%o+(pgrid%ay%n-1)*pgrid%ay%d
    write(0,*)"zmin, zmax =", pgrid%az%o, pgrid%az%o+(pgrid%az%n-1)*pgrid%az%d
    write(0,*)"----------------------------------------------------------"
    write(0,*)"ogrid%ax =", ogrid%ax%n,ogrid%ax%o,ogrid%ax%d
    write(0,*)"ogrid%ay =", ogrid%ay%n,ogrid%ay%o,ogrid%ay%d
    write(0,*)"ogrid%az =", ogrid%az%n,ogrid%az%o,ogrid%az%d
    write(0,*)"ogrid%ahx=", ogrid%ahx%n,ogrid%ahx%o,ogrid%ahx%d
    write(0,*)"ogrid%ahy=", ogrid%ahy%n,ogrid%ahy%o,ogrid%ahy%d
    write(0,*)"xmin, xmax =", ogrid%ax%o, ogrid%ax%o+(ogrid%ax%n-1)*ogrid%ax%d
    write(0,*)"ymin, ymax =", ogrid%ay%o, ogrid%ay%o+(ogrid%ay%n-1)*ogrid%ay%d
    write(0,*)"zmin, zmax =", ogrid%az%o, ogrid%az%o+(ogrid%az%n-1)*ogrid%az%d
    write(0,*)"----------------------------------------------------------"
    write(0,*)"igrid%ax =", igrid%ax%n,igrid%ax%o,igrid%ax%d
    write(0,*)"igrid%ay =", igrid%ay%n,igrid%ay%o,igrid%ay%d
    write(0,*)"igrid%az =", igrid%az%n,igrid%az%o,igrid%az%d
    write(0,*)"igrid%ahx=", igrid%ahx%n,igrid%ahx%o,igrid%ahx%d
    write(0,*)"igrid%ahy=", igrid%ahy%n,igrid%ahy%o,igrid%ahy%d
    write(0,*)"xmin, xmax =", igrid%ax%o, igrid%ax%o+(igrid%ax%n-1)*igrid%ax%d
    write(0,*)"ymin, ymax =", igrid%ay%o, igrid%ay%o+(igrid%ay%n-1)*igrid%ay%d
    write(0,*)"zmin, zmax =", igrid%az%o, igrid%az%o+(igrid%az%n-1)*igrid%az%d
    write(0,*)"=========================================================="
    return
  end subroutine
      
end module
